<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.model.mapper.AppletConfigMapper">
    
    <resultMap type="AppletConfig" id="AppletConfigResult">
        <result property="id"    column="id"    />
        <result property="paramValue"    column="param_value"    />
        <result property="paramCode"    column="param_code"    />
        <result property="paramValueText"    column="param_value_text"    />
        <result property="paramValueImage"    column="param_value_image"    />
        <result property="paramValueArea"    column="param_value_area"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="paramValueNum" column="param_value_num"/>
        <result property="paramValueNo" column="param_value_no"/>
        <result property="paramClass" column="param_class"/>
    </resultMap>

    <sql id="selectAppletConfigVo">
        select id, param_value, param_code, param_value_text, param_value_image, param_value_area, del_flag, create_by, create_time, update_by, update_time,param_value_num, param_value_no, param_class  from applet_config
    </sql>

    <select id="selectAppletConfigList" parameterType="AppletConfig" resultMap="AppletConfigResult">
        <include refid="selectAppletConfigVo"/>
        <where>  
            <if test="paramValue != null  and paramValue != ''"> and param_value = #{paramValue}</if>
            <if test="paramCode != null  and paramCode != ''"> and param_code = #{paramCode}</if>
            <if test="paramValueText != null  and paramValueText != ''"> and param_value_text = #{paramValueText}</if>
            <if test="paramValueImage != null  and paramValueImage != ''"> and param_value_image = #{paramValueImage}</if>
            <if test="paramValueArea != null  and paramValueArea != ''"> and param_value_area = #{paramValueArea}</if>
            <if test="paramValueNum != null "> and param_value_num = #{paramValueNum}</if>
            <if test="paramValueNo != null "> and param_value_no = #{paramValueNo}</if>
            <if test="paramClass != null  and paramClass != ''"> and param_class = #{paramClass}</if>

        </where>
    </select>
    
    <select id="selectAppletConfigById" parameterType="AppletConfig" resultMap="AppletConfigResult">
        <include refid="selectAppletConfigVo"/>
        where id = #{id}
    </select>

    <select id="selectAppletConfigByClassAndNum" parameterType="AppletConfig" resultMap="AppletConfigResult">
        <include refid="selectAppletConfigVo"/>
        where param_class = 'pet_payment_bcs' and param_value_num = #{paramValueNum}
    </select>

    <insert id="insertAppletConfig" parameterType="AppletConfig" useGeneratedKeys="true" keyProperty="id">
        insert into applet_config
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="paramValue != null">param_value,</if>
            <if test="paramCode != null">param_code,</if>
            <if test="paramValueText != null">param_value_text,</if>
            <if test="paramValueImage != null">param_value_image,</if>
            <if test="paramValueArea != null">param_value_area,</if>
            <if test="delFlag != null">del_flag,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="paramValueNum != null">param_value_num,</if>
            <if test="paramValueNo != null">param_value_no,</if>
            <if test="paramClass != null">param_class,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="paramValue != null">#{paramValue},</if>
            <if test="paramCode != null">#{paramCode},</if>
            <if test="paramValueText != null">#{paramValueText},</if>
            <if test="paramValueImage != null">#{paramValueImage},</if>
            <if test="paramValueArea != null">#{paramValueArea},</if>
            <if test="delFlag != null">#{delFlag},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="paramValueNum != null">#{paramValueNum},</if>
            <if test="paramValueNo != null">#{paramValueNo},</if>
            <if test="paramClass != null">#{paramClass},</if>
         </trim>
    </insert>

    <update id="updateAppletConfig" parameterType="AppletConfig">
        update applet_config
        <trim prefix="SET" suffixOverrides=",">
            <if test="paramValue != null">param_value = #{paramValue},</if>
            <if test="paramCode != null">param_code = #{paramCode},</if>
            <if test="paramValueText != null">param_value_text = #{paramValueText},</if>
            <if test="paramValueImage != null">param_value_image = #{paramValueImage},</if>
            <if test="paramValueArea != null">param_value_area = #{paramValueArea},</if>
            <if test="delFlag != null">del_flag = #{delFlag},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="paramValueNum != null">param_value_num = #{paramValueNum},</if>
            <if test="paramValueNo != null">param_value_no = #{paramValueNo},</if>
            <if test="paramClass != null">param_class = #{paramClass},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteAppletConfigById" parameterType="Long">
        delete from applet_config where id = #{id}
    </delete>

    <delete id="deleteAppletConfigByIds" parameterType="String">
        delete from applet_config where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>